Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model
Class IndexedPropertyList

    java.lang.Object
      net.fortuna.ical4j.model.IndexedPropertyList

    public class IndexedPropertyList

extends Object

Provides indexing of properties on a specific parameter.

Author:
  Ben Fortuna

Constructor Summary
`IndexedPropertyList(PropertyList list, String parameterName)` Creates a new instance indexed on the parameters with the specified name.

Method Summary
`PropertyList` | `getProperties(String paramValue)` Returns a list of properties containing a parameter with the specified value.
`Property` | `getProperty(String paramValue)` Returns the first property containing a parameter with the specified value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexedPropertyList

    public IndexedPropertyList(PropertyList list,
                               String parameterName)

  Creates a new instance indexed on the parameters with the specified name.

  Parameters:
    `list` - a list of properties
    `parameterName` - the name of parameters on which to index

Method Detail

### getProperties

    public PropertyList getProperties(String paramValue)

  Returns a list of properties containing a parameter with the specified value.

  Parameters:
    `paramValue` - the value of the parameter contained in the returned properties
  Returns:
    a property list

### getProperty

    public Property getProperty(String paramValue)

  Returns the first property containing a parameter with the specified value.

  Parameters:
    `paramValue` - the value of the parameter identified in the returned property
  Returns:
    a property or null if no property is found containing a parameter with the specified value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.